MockPdoEolica = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  MODELO DESSEM     - VERSAO 19.4.3 -  Julho  de 2023 (CPLEX)                       *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA ONS                                                                                                                                                   \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    " TE  PMO - SETEMBRO/22 - OUTUBRO/22 - REV 1 - FCF COM CVAR - 12 REE - VALOR ESPE - Data do Caso: 03/09/2022                                                       \n",
    "____________________________________________________________________\n",
    "\n",
    "-------------------------\n",
    "Operacao de usinas EOLICA                                                       \n",
    "-------------------------\n",
    "----------------------------------------------------------------\n",
    "IPER:            Indice do periodo.                                                                                                                                                                     \n",
    "NUM:             Numero de identificacao da usina;                                                                                                                                                      \n",
    "Nome:            Nome da usina;                                                                                                                                                                         \n",
    "Barra:           Numero da barra de conexao com a rede eletrica;                                                                                                                                        \n",
    "Submerc:         Submercado onde esta alocada a usina;                                                                                                                                                  \n",
    "Potencia:        Capacidade de geracao;                                                                                                                                                                 \n",
    "FatCap:          Fator de capacidade de geracao;                                                                                                                                                        \n",
    "Geracao:         Geracao pre-definida para a usina;                                                                                                                                                     \n",
    "Geracao Operada: Geracao realizada efetivamente;                                                                                                                                                        \n",
    "----------------------------------------------------------------\n",
    "\n",
    "-----;-------;--------------;---------;---------;------------;------------;------------;-----------------;\n",
    "IPER ;  NUM  ;     Nome     ;  Barra  ; Submerc ;  Potencia  ;   FatCap   ;  Geracao   ; Geracao Operada ;\n",
    "  -  ;   -   ;      -       ;    -    ;    -    ;     -      ;     -      ;     -      ;        -        ;\n",
    "-----;-------;--------------;---------;---------;------------;------------;------------;-----------------;\n",
    "   1 ;     1 ; A3AREA_AREAL ;   260   ; SE      ;    9999.00 ;      1.000 ;       2.00 ;       2.00      ;\n",
    "   1 ;     2 ; A3BRAC_BRACO ;   274   ; SE      ;    9999.00 ;      1.000 ;       4.00 ;       4.00      ;\n",
    "   1 ;     3 ; A3NOVA_Nova  ;   286   ; SE      ;    9999.00 ;      1.000 ;       4.00 ;       4.00      ;\n",
    "   1 ;     4 ; A3CASA_CASCA ;   295   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;     5 ; A3SERA_SERRA ;   295   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;     6 ; A2BIOA_BIO A ;   307   ; SE      ;    9999.00 ;      1.000 ;      20.00 ;      20.00      ;\n",
    "   1 ;     7 ; A2BIOE_BIOEN ;   307   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;     8 ; A2LUZI_SANTA ;   307   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;     9 ; A5PIED_PIEDA ;   307   ; SE      ;    9999.00 ;      1.000 ;       5.00 ;       5.00      ;\n",
    "   1 ;    10 ; A5POCS_POCOE ;   307   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    11 ; A5SMRS_Salto ;   307   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    12 ; A2CACE_CACHO ;   309   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    13 ; A2ILH _ILHEU ;   309   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    14 ; A2LAVR_LAVRA ;   309   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    15 ; A2CFLO_CAMPO ;   322   ; SE      ;    9999.00 ;      1.000 ;       5.00 ;       5.00      ;\n",
    "   1 ;    16 ; A2COCF_CORUR ;   322   ; SE      ;    9999.00 ;      1.000 ;      22.00 ;      22.00      ;\n",
    "   1 ;    17 ; A5CRDO_Cerra ;   322   ; SE      ;    9999.00 ;      1.000 ;      25.00 ;      25.00      ;\n",
    "   1 ;    18 ; A5UTF _FRUTA ;   322   ; SE      ;    9999.00 ;      1.000 ;       6.00 ;       6.00      ;\n",
    "   1 ;    19 ; A5TAPU_TAPUI ;   340   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    20 ; A2ALTO_ALTO  ;   348   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    21 ; A2BPC _Barra ;   348   ; SE      ;    9999.00 ;      1.000 ;       4.00 ;       4.00      ;\n",
    "   1 ;    22 ; A2BREA_BREJA ;   348   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    23 ; A2CEDR_CEDRO ;   348   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    24 ; A2CGR _CORRE ;   348   ; SE      ;    9999.00 ;      1.000 ;       2.00 ;       2.00      ;\n",
    "   1 ;    25 ; A2FUIL_FUNIL ;   348   ; SE      ;    9999.00 ;      1.000 ;       3.00 ;       3.00      ;\n",
    "   1 ;    26 ; A2MALA_MALAG ;   392   ; SE      ;    9999.00 ;      1.000 ;       3.00 ;       3.00      ;\n",
    "   1 ;    27 ; A5CENT_C.E.  ;   392   ; SE      ;    9999.00 ;      1.000 ;      23.00 ;      23.00      ;\n",
    "   1 ;    28 ; A5UBLD_UBERL ;   392   ; SE      ;    9999.00 ;      1.000 ;       4.00 ;       4.00      ;\n",
    "   1 ;    29 ; A5SANH_SANTA ;   399   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    30 ; GTCUFG_CJGUA ;   409   ; SE      ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    31 ; D2RIOD_Rio d ;   825   ; S       ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    32 ; D2BOAV_Boa V ;   828   ; S       ;    9999.00 ;      1.000 ;       0.00 ;       0.00      ;\n",
    "   1 ;    33 ; D2CABE_CABEC ;   828   ; S       ;    9999.00 ;      1.000 ;       1.00 ;       1.00      ;\n",
]
